# SmiSmpsCardReader Class Reference

`#include <SmiSmpsIO.hpp>`

Inheritance diagram for SmiSmpsCardReader:
[legend]
Collaboration diagram for SmiSmpsCardReader:
[legend]

List of all members.

## Public Member Functions
SmiSectionType | nextSmpsField ()
SmiSectionType | whichSmpsSection ()
SmiSmpsType | whichSmpsType ()
const char * | periodName () const
const char * | scenarioNew () const
const char * | scenarioAnc () const
double | getProb ()
void | setCoreCombineRule (SmiCoreCombineRule *r)
SmiCoreCombineRule * | getCoreCombineRule ()
| SmiSmpsCardReader (CoinFileInput *input, CoinMpsIO *reader)
| Constructor expects file to be open This one takes gzFile if fp null.
| ~SmiSmpsCardReader ()
## Private Attributes
char | periodName_ [COIN_MAX_FIELD_LENGTH]
| Current third name (for SmpsIO).
float | fvalue_
SmiSectionType | smiSection_
SmiSmpsType | smiSmpsType_
SmiCoreCombineRule * | combineRule_
bool | combineRuleSet
double | prob_

## Detailed Description

Definition at line 41 of file SmiSmpsIO.hpp.

## Constructor & Destructor Documentation

SmiSmpsCardReader::SmiSmpsCardReader | ( | CoinFileInput * | input,
|  | CoinMpsIO * | reader |
| ) |  |  | `[inline]`

Constructor expects file to be open This one takes gzFile if fp null.

Definition at line 61 of file SmiSmpsIO.hpp.

SmiSmpsCardReader::~SmiSmpsCardReader | ( |  | ) | `[inline]`

Definition at line 64 of file SmiSmpsIO.hpp.

## Member Function Documentation

SmiSectionType SmiSmpsCardReader::nextSmpsField | ( |  | ) |

SmiSectionType SmiSmpsCardReader::whichSmpsSection | ( |  | ) | `[inline]`

Definition at line 46 of file SmiSmpsIO.hpp.

SmiSmpsType SmiSmpsCardReader::whichSmpsType | ( |  | ) | `[inline]`

Definition at line 48 of file SmiSmpsIO.hpp.

const char* SmiSmpsCardReader::periodName | ( |  | ) | const`[inline]`

Definition at line 50 of file SmiSmpsIO.hpp.

const char* SmiSmpsCardReader::scenarioNew | ( |  | ) | const`[inline]`

Definition at line 51 of file SmiSmpsIO.hpp.

const char* SmiSmpsCardReader::scenarioAnc | ( |  | ) | const`[inline]`

Definition at line 52 of file SmiSmpsIO.hpp.

double SmiSmpsCardReader::getProb | ( |  | ) | `[inline]`

Definition at line 54 of file SmiSmpsIO.hpp.

void SmiSmpsCardReader::setCoreCombineRule | ( | SmiCoreCombineRule * | r | ) | `[inline]`

Definition at line 56 of file SmiSmpsIO.hpp.

SmiCoreCombineRule* SmiSmpsCardReader::getCoreCombineRule | ( |  | ) | `[inline]`

Definition at line 57 of file SmiSmpsIO.hpp.

## Member Data Documentation

char SmiSmpsCardReader::periodName_[COIN_MAX_FIELD_LENGTH]`[private]`

Current third name (for SmpsIO).

Definition at line 67 of file SmiSmpsIO.hpp.

float SmiSmpsCardReader::fvalue_`[private]`

Definition at line 68 of file SmiSmpsIO.hpp.

SmiSectionType SmiSmpsCardReader::smiSection_`[private]`

Definition at line 69 of file SmiSmpsIO.hpp.

SmiSmpsType SmiSmpsCardReader::smiSmpsType_`[private]`

Definition at line 70 of file SmiSmpsIO.hpp.

SmiCoreCombineRule* SmiSmpsCardReader::combineRule_`[private]`

Definition at line 71 of file SmiSmpsIO.hpp.

bool SmiSmpsCardReader::combineRuleSet`[private]`

Definition at line 72 of file SmiSmpsIO.hpp.

double SmiSmpsCardReader::prob_`[private]`

Definition at line 73 of file SmiSmpsIO.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/Smi/src/SmiSmpsIO.hpp